JasperReports versions and Jaspersoft Studio

Questions and answers on developing, deploying and using plugins and JavaBeans

JasperReports versions and Jaspersoft Studio

Postby tgs » Fri Dec 18, 2015 2:57 pm

Hello,

I'm a little confused about the versions of the jasperreports .jar in the servoy_jasperreports folder.

In plugin version 4.0.4 there is jasperreports-4.7.1.jar
jr_404.png
jr_404.png (44.08 KiB) Viewed 6140 times


and in 5.0.0 is jasperreports-5.6.1.jar
jr_500.png
jr_500.png (52.54 KiB) Viewed 6140 times


But both versions cannot be selected/installed in Jaspersoft Studio 6.1.1!?
jss611_jr.png
jss611_jr.png (98.86 KiB) Viewed 6140 times


What version is working without any issues for Servoy_JasperReports_Plugin_v.4.0.4 and _v.5.0.0?


Regards Thomas
Thomas Schnaus
SAN Developer
yomotec GmbH
User avatar
tgs
 
Posts: 886
Joined: Wed Oct 04, 2006 12:05 pm
Location: Germany

Re: JasperReports versions and Jaspersoft Studio

Postby lwjwillemsen » Sat Dec 19, 2015 12:34 am

Lambert Willemsen
Vision Development BV
lwjwillemsen
 
Posts: 680
Joined: Sat Mar 14, 2009 5:39 pm
Location: The Netherlands

Re: JasperReports versions and Jaspersoft Studio

Postby tgs » Sat Dec 19, 2015 2:31 am

Ok, and exactly what do I find there?
Thomas Schnaus
SAN Developer
yomotec GmbH
User avatar
tgs
 
Posts: 886
Joined: Wed Oct 04, 2006 12:05 pm
Location: Germany

Re: JasperReports versions and Jaspersoft Studio

Postby lwjwillemsen » Sun Dec 20, 2015 11:03 am

Plugin, Servoy, iReport Version Guidelines

For compatibility with Servoy 5.2.x, please use Servoy JasperReports plugin version 3.3.x. Plugin version 3.3.x is based on the JaperReports engine version 4.0.0 and so the recommended version of iReport to use is 4.0.0 (to keep the JaspeReports engine version used by iReport in sync with the main JasperReports engine used by the plugin).

Version 4.0.0 of the plugin is compatible with Servoy 6.0.x and up. Plugin version 4.0.0 is based on the 4.6.0 version of the JasperReports engine; the recommended version of iReport to be used is 4.6.0. The 4.0.0 version of the Servoy JasperReports plugin will require at least Java 1.6 (due to JasperReports requirements).

Version 5.0.0 of the plugin is compatible with Servoy 6.x and up and based on the 5.5.1 version of JasperReports (currently).
Lambert Willemsen
Vision Development BV
lwjwillemsen
 
Posts: 680
Joined: Sat Mar 14, 2009 5:39 pm
Location: The Netherlands

Re: JasperReports versions and Jaspersoft Studio

Postby tgs » Sun Dec 20, 2015 12:26 pm

Ok, thank you Lambert.

Does this mean that the version numbers of the jasperreports-x.x.x.jar doesn't match the JasperReports Version?
And the Servoy JasperReports plugin 4.0.4 based still on JasperReports 4.6.0 although the versions of the jasperreports-x.x.x.jar are different to version 4.0.0, 4.0.2 of the Servoy JasperReports plugin?

I'm asking because the reports will not displayed correct as formatted in the JasperViewer and/or print out if I take the reports created/compiled with Jaspersoft Studio 5.1.1 and the selected JasperReports version 4.6.0. If I take the reports from iReport 5.1.0 they are displayed/printed correct.
The Servoy JasperReports plugin version is 4.0.4 and Servoy is 7.4.5.

Regards Thomas
Thomas Schnaus
SAN Developer
yomotec GmbH
User avatar
tgs
 
Posts: 886
Joined: Wed Oct 04, 2006 12:05 pm
Location: Germany

Re: JasperReports versions and Jaspersoft Studio

Postby patrick » Sun Dec 20, 2015 2:52 pm

In the release notes of 4.0.3 of the plugin you find:

- jasperreports lib updated to version 4.7.1


The release notes of 4.0.4 don't state any newer library is being used. So if you ask me, you should use jasper engine <= 4.7.1 to create your reports and it's clear why you see library version 4.7.1 in your plugins dir.

Your other option is to use the plugin version 5.0.0, because that says

- Using JasperReports lib version 5.6.1


and should therefore support any report created with jasper <= 5.6.1
Patrick Ruhsert
Servoy DACH
patrick
 
Posts: 3703
Joined: Wed Jun 11, 2003 10:33 am
Location: Munich, Germany

Re: JasperReports versions and Jaspersoft Studio

Postby tgs » Sun Dec 20, 2015 5:05 pm

Thank you Patrick for your explanation!

This makes it clear to me. Of course, I have read the release notes and the wiki, but the different version numbers were confusing me...

As I understand now, I can use the Servoy JasperReports plugin 5.0.0 and Jaspersoft Studio with JasperReports 5.5.2 because it is < 5.6.1.
The same for plugin 4.0.4 and JasperReports 4.7.0. I will try this two combis.


Regards Thomas
Thomas Schnaus
SAN Developer
yomotec GmbH
User avatar
tgs
 
Posts: 886
Joined: Wed Oct 04, 2006 12:05 pm
Location: Germany


Return to Plugins and Beans

Who is online

Users browsing this forum: Google [Bot] and 1 guest

cron